function[met_rat,nseg_prop,xi_prop,tau_prop,beta_prop]=death(x,nexp_curr_temp,nexp_prop,...
			tau_curr_temp,xi_curr_temp,nseg_curr_temp,beta_curr_temp,log_move_curr,log_move_prop)
global nobs nbasis nbeta sigmasqalpha tmin tau_up_limit
beta_prop=zeros(nbeta,nexp_prop);
tau_prop=ones(nexp_prop,1);
nseg_prop=zeros(nexp_prop,1);
xi_prop=zeros(nexp_prop,1);
 %Drawing  cut_point to delete
cut_del=unidrnd(nexp_curr_temp-1);
j=0;
for k=1:nexp_prop
	j=j+1;
	if k==cut_del
		%*************************************************************
		%PROPOSED VALUES		
		%*************************************************************
		xi_prop(k)=xi_curr_temp(j+1);
		tau_prop(k)=sqrt(tau_curr_temp(j)*tau_curr_temp(j+1));% Combining 2 taus into 1
		nseg_prop(k)=nseg_curr_temp(j)+nseg_curr_temp(j+1);% Combining two segments into 1
        %==================================================================
        %Evaluating the Likelihood, Proposal and Prior Densities at the Proposed values
        %==================================================================
		%Computing mean and variances for beta proposals
		[beta_mean beta_var nu_mat y]=postbeta(k,nseg_prop(k),x,xi_prop,tau_prop(k));
		beta_prop(:,k)=mvnrnd(beta_mean,0.5*(beta_var+beta_var'))';%Drawing a new value of beta
		%Loglikelihood  at proposed values
		fhat=nu_mat*beta_prop(:,k);
		[log_prop_spec_dens]=whittle_like(y,fhat,nseg_prop(k));
		loglike_prop=log_prop_spec_dens;
		%==================================================================
		%Evaluating the Proposal Densities at the Proposed values of beta,
		%the cut points
		%==================================================================
				 %Beta
		log_beta_prop=log(mvnpdf(beta_prop(:,k),beta_mean,0.5*(beta_var+beta_var')));
				 %Segment
		log_seg_prop=-log(nexp_curr_temp-1);
        %Calcualting Jacobian
		log_jacobian=-log(2*(sqrt(tau_curr_temp(j))+sqrt(tau_curr_temp(j+1)))^2);
				 %Calculating Log Proposal density at Proposed values
		log_proposal_prop=log_beta_prop+log_seg_prop+log_move_prop;
		%==================================================================
		%Evaluating the Prior Densities at the Proposed values for tau and
		%beta==============================================================
				 % Beta
		log_beta_prior_prop=log(mvnpdf(beta_prop(:,k),zeros(nbeta,1),diag([sigmasqalpha; tau_prop(k)*ones(nbasis,1)])));
				%Tau
		log_tau_prior_prop=-log(tau_up_limit);
        
		%*************************************************************
		%CURRENT VALUES		
		%*************************************************************
		%=======================================
		%Evaluating the Likelihood, Proposal and Prior Densities at the Current values
		%=======================================
				 %Beta Proposal and Prior
		log_beta_curr=0;
		log_tau_prior_curr=0;
		log_beta_prior_curr=0;
		loglike_curr=0;
		for jj=j:j+1
			[beta_mean beta_var nu_mat y]=postbeta(jj,nseg_curr_temp(jj),x,xi_curr_temp,tau_curr_temp(jj));
			log_beta_curr=log_beta_curr+...
				log(mvnpdf(beta_curr_temp(:,jj),beta_mean,0.5*(beta_var+beta_var')));
			log_beta_prior_curr=log_beta_prior_curr+...
						log(mvnpdf(beta_curr_temp(:,jj),zeros(nbeta,1),diag([sigmasqalpha; tau_curr_temp(jj)*ones(nbasis,1)])));
			log_tau_prior_curr=log_tau_prior_curr-log(tau_up_limit);	
			%Loglikelihood  at Current values
			fhat=nu_mat*beta_curr_temp(:,jj);
			[log_curr_spec_dens]=whittle_like(y,fhat,nseg_curr_temp(jj));
			loglike_curr=loglike_curr+log_curr_spec_dens;
		end
	  %Calculating Log proposal density at current values
		log_proposal_curr=log_move_curr+log_beta_curr;
		%Calculating Priors at Current Vlaues
		log_prior_curr=log_beta_prior_curr+log_tau_prior_curr;
		j=j+1;
	else
		xi_prop(k)=xi_curr_temp(j);
		tau_prop(k)=tau_curr_temp(j);
		nseg_prop(k)=nseg_curr_temp(j);
		beta_prop(:,k)=beta_curr_temp(:,j);
	end
end
%Evaluating Target density at proposed values
log_prior_cut_prop=0;
for k=1:nexp_prop-1
	if k==1
		log_prior_cut_prop=-log(nobs-(nexp_prop-k+1)*tmin+1);
	else
		log_prior_cut_prop=log_prior_cut_prop-log(nobs-xi_prop(k-1)-(nexp_prop-k+1)*tmin+1);
	end
end
log_target_prop=loglike_prop+log_tau_prior_prop+log_beta_prior_prop+log_prior_cut_prop;
%Evaluating Target density at current values
log_prior_cut_curr=0;
for k=1:nexp_curr_temp-1
	if k==1
		log_prior_cut_curr=-log(nobs-(nexp_curr_temp-k+1)*tmin+1);
	else
		log_prior_cut_curr=log_prior_cut_curr-log(nobs-xi_curr_temp(k-1)-(nexp_curr_temp-k+1)*tmin+1);
	end
end
log_target_curr=loglike_curr+log_prior_curr+log_prior_cut_curr;
met_rat=min(1,exp(log_target_prop-log_target_curr+log_proposal_curr-log_proposal_prop+log_jacobian));